package Tests::fail;

use Tests::Base;
@ISA = qw( Tests::Base );

# useless test, fails, to test failure handling code
sub execute
{
	my $self = shift;

	$self -> message( "Failing on purpose" );
	$self -> logmsg( "Failing on purpose" );

	return( 1 );
}

1;

__END__

=head1 NAME

Tests::fail - always fails, for testing

=head1 SYNOPSIS

	<fail/>

=head1 DESCRIPTION

This test always fails, for testing block handlers and debugging.

=head1 SEE ALSO

sentinel, probe, librarian, sentinel.conf

=head1 AUTHOR

Steve Slaven - http://hoopajoo.net
