package Tests::probe_test;

use Tests::Base;
@ISA = qw( Tests::Base );

sub execute
{
	my $self = shift;
	my $foo = $self -> probe();
	$self -> logmsg( "Probe code: $foo" );
	if( $foo == 200 )
	{
		# Just tests that the plugin will load and exec
		$self -> message( "OK" );
		return( 0 );
	}

	$self -> logmsg( "Going to pass code failure" );
	$self -> message( $self -> probe_message() );
	return( 1 );
}

1;

__END__

=head1 NAME

Tests::probe_test - tests if probes will load and execute, requires probe

=head1 SYNOPSIS

	<probe_test/>

=head1 DESCRIPTION

Mostly a debugging test, just requests for the probe to be loaded on the remote side.

=head1 SEE ALSO

sentinel, probe, librarian, sentinel.conf

=head1 AUTHOR

Steve Slaven - http://hoopajoo.net
